{% trans_default_domain 'Map' %}

{# TODO Rename the file and id SideMenu #}

<div id="map_sidebar">
    <div id="map_sidebar_content">
        <div class="box3">
            <div class="box3bottom">
                <div class="box3bg">

                    {# Extra panel if we need one more section!
                    <h2 class="h2f">{{ 'map.sideMenu.shortcuts.title' | trans }}</a></h2>
                    <div class="strategy">
                        <ul class="infos">
                            <li><a href="{{ path('app_map_map') }}">{{ 'map.sideMenu.shortcuts.forum' | trans }}</a></li>
                        </ul>
                    </div>
                    #}
                    <div id="content">
                        <h2 class="h2f">
                            <a id="SideMenuTitle" href="/map?c=785475">Les Thises-le-Bec</a>
                            <a href="javascript:void(0)" class="closebtn" onclick="closeWorldSideMenu()"><img src="{{ asset('img/icons/small/close.png') }}" alt="close"></a>
                        </h2>
                        <ul class="infos">
                            {# LIST ALL POSSIBLE INFO and toggle them in JS #}
                            <li id="Capital" style="display: none">
                                <img src="{{ asset('img/icons/capitale.gif') }}"><a id="CityLink" href="/map?c=785475;king=795">{{ 'map.node.city.part1' | trans }} </a> {{ 'map.node.city.part2' | trans }} <a id="LordLink">XXX</a>
                            </li>
                            <li id="Trade" style="display:none;">
                                {{ 'map.node.trade' | trans }} : <strong>0</strong> <img src="{{ asset('img/icons/small/res_gold.gif') }}">
                            </li>
                            <li id="Wild" style="display: none">
                                {{ 'map.node.wild' | trans }}
                            </li>
                            <li id="BarbarianCity" style="display: none">
                                {{ 'map.node.barbarian' | trans }}
                            </li>
                            <li id="Territory" style="display: none">
                                {{ 'map.node.ownedBy' | trans }} <a id="LordLink">XXX</a>
                            </li>
                            <li id="greputation">
                                {{ 'map.general.reputation' | trans }} : <strong>1</strong> <img src="{{ asset('img/icons/l_rep.png') }}">
                            </li>
                            <li id="gowner">
                                {{ 'map.general.owner' | trans }} <a>Roi Hordemavue</a>
                            </li>
                            <li id="gidle">
                                {{ 'map.general.state.idle' | trans }} <a>Ville</a>
                            </li>
                            <li id="gfortifying">
                                {{ 'map.general.state.fortifying' | trans }} <a>Ville</a>
                            </li>
                            <li id="gmoving">
                                {{ 'map.general.state.moving' | trans }} : <a href="/map/0?node=0">Touloute</a>
                                </br>
                                {{ 'map.general.remainingTime' | trans }} : <div id="timerSidePanel" class="timer">59m 40s</div>
                            </li>
                            {% for resource in ['lin','iron','horse'] %}
                            {% set resourceLoca = ('resources.'~resource~'.name')|trans([], "City") %}
                            <li id="resource{{ resource | capitalize }}">
                                <img src="{{ asset('img/help.gif') }}" class="help"
                                     onmouseover="showHint(this, 'Stock', 'Le stock montre la quantité restante de cette ressource avant son épuisement total.')"
                                     onmouseout="hideHint()">
                                <strong>{{ ('map.node.resourceSpot.'~resource) | trans }}</strong> <span class="number">135</span> <img src="{{ asset('img/icons/small/res_'~resource~'.gif') }}">

                                {# TODO Implement that (general harvest limit / cooldown)
                                <ul class="resources">
                                    <li onmouseover="showHintMsg(this,'{{ 'map.node.resourceSpot.resourceHint' | trans( { '%resource%': resourceLoca } ) }}')"
                                        onmouseout="hideHint()">
                                        <div class="res">
                                            <div class="resp"><span class="n">0</span></div>
                                            <img src="{{ asset('img/icons/res_'~resource~'.png') }}" alt="{{ resource }}">
                                        </div>
                                    </li>
                                </ul>
                                #}
                            </li>
                            {% endfor %}
                            <li id="Text" style="display: none"></li>
                        </ul>
                        <div class="clear"></div>
                        <h3 class="h3b">{{ 'map.sideMenu.actions.header' | trans }}</h3>
                        <ul class="actions actionsbig">
                            {# LIST ALL POSSIBLE ACTIONS and toggle them in JS #}
                            {#
                            <li>
                                <div onclick="document.location = '{{ path('app_city_city') }}'">
                                    <img src="{{ asset('img/icons/a_city.png') }}"> <span>{{ 'map.sideMenu.actions.backToCity' | trans }}</span>
                                </div>
                            </li>
                            #}
                            <li>
                                <div onclick="document.location = '/sendMessage'"
                                     onmouseover="showHintMsg(this,'<strong class=\'wip\'>{{ 'messages.comingSoon' | trans([], "Common") }}</strong>')"
                                     onmouseout="hideHint()">
                                    <img src="{{ asset('/img/icons/a_write.png') }}"> <span>{{ 'map.sideMenu.actions.sendMessage' | trans }}</span>
                                </div>
                            </li>
                            <li onmouseover="showHintMsg(this,'<strong class=\'wip\'>{{ 'messages.wip' | trans([], "Common") }}</strong>')"
                                onmouseout="hideHint()">
                                <div onclick="document.location = dataset.link;">
                                    <img src="{{ asset('/img/icons/a_battle.png') }}"> <span>{{ 'map.sideMenu.actions.seeBattle' | trans }}</span>
                                </div>
                            </li>
                            <!-- General -->
                            <li>
                                <div onclick="startDestinationSelection()">
                                    <img src="{{ asset('/img/icons/a_movegen.png') }}"> <span>{{ 'map.sideMenu.actions.move' | trans }}</span>
                                </div>
                            </li>
                            <li>
                                <div onclick="generalConfirmMove()">
                                    <img src="{{ asset('/img/icons/a_movegen.png') }}"> <span>{{ 'map.sideMenu.actions.confirmMove' | trans }}</span>
                                </div>
                            </li>
                            <li>
                                <div onclick="generalCancelMove()">
                                    <img src="{{ asset('/img/icons/a_cancelgen.png') }}"> <span>{{ 'map.sideMenu.actions.cancelMove' | trans }}</span>
                                </div>
                            </li>
                            <li>
                                <div onclick="generalTurnBack()">
                                    <img src="{{ asset('/img/icons/a_movegen.png') }}"> <span>{{ 'map.sideMenu.actions.turnBack' | trans }}</span>
                                </div>
                            </li>
                            <li>
                                <div onclick="document.location = dataset.link;" data-link="/general/-1/units">
                                    <img src="{{ asset('/img/icons/a_transfer.png') }}"> <span>{{ 'map.sideMenu.actions.transferUnits' | trans }}</span>
                                </div>
                            </li>
                            <li onmouseover="showHint(this,'{{ 'map.sideMenu.actions.fortify.start.title' | trans }}','{{ 'map.sideMenu.actions.fortify.start.desc' | trans }}')"
                                onmouseout="hideHint()">
                                <div onclick="if( confirm('{{ 'messages.confirmAction' | trans([], 'Common') }}')) requestFortification();">
                                    <img src="{{ asset('/img/icons/a_forti.png') }}" alt="Fortify"> <span>{{ 'map.sideMenu.actions.fortify.start.name' | trans }}</span>
                                </div>
                            </li>
                            <li onmouseover="showHint(this,'{{ 'map.sideMenu.actions.fortify.stop.title' | trans }}','{{ 'map.sideMenu.actions.fortify.stop.desc' | trans }}')"
                                onmouseout="hideHint()">
                                <div onclick="if( confirm('{{ 'messages.confirmAction' | trans([], 'Common') }}')) requestFortification();">
                                    <img src="{{ asset('/img/icons/a_noforti.png') }}"> <span>{{ 'map.sideMenu.actions.fortify.stop.name' | trans }}</span>
                                </div>
                            </li>
                            <li>
                                <div onclick="requestAttack();">
                                    <img src="{{ asset('/img/icons/a_battle.png') }}"> <span>{{ 'map.sideMenu.actions.attack' | trans }}</span>
                                </div>
                            </li>
                            <li>
                                <div onclick="requestHarvest();"
                                     onmouseover="showHintMsg(this,'<strong class=\'wip\'>{{ 'messages.wip' | trans([], "Common") }}</strong>')"
                                     onmouseout="hideHint()">
                                    <img src="{{ asset('/img/icons/a_res.png') }}"> <span>{{ 'map.sideMenu.actions.harvest' | trans }}</span>
                                </div>
                            </li>
                        </ul>
                        <div class="clear"></div>
                        {# TODO Complete this! #}
                        {# We should display different title depending what we clicked
                            Capitale : Défense
                            Ville : Garnison
                            Général : Troupes
                        #}
                        {% set unitsToDisplay = ['soldier', 'pikeman', 'archer', 'horseman', 'knight', 'mountedArcher', 'paladin', 'catapult', 'ballista'] %}
                        <h3 id="army1">{{ 'map.sideMenu.units.capital' | trans }}</h3>
                        <ul class="items" id="armyUnits1">
                            {% for unit in unitsToDisplay %}
                                <li>
                                    <div class="item"
                                         onmouseover="showHint(this,'{{ ('units.'~unit~'.name') | trans([], "Common") }}','{{ ('units.'~unit~'.desc') | trans([], "Common") }}')"
                                         onmouseout="hideHint()">
                                        <img src="{{ asset('img/icons/u_' ~ unit ~ '.png') }}" alt=""><span class="number">??</span>
                                    </div>
                                </li>
                            {% endfor %}
                        </ul>
                        <div class="clear"></div>
                        <h3 id="army2">{{ 'map.sideMenu.units.territory' | trans }}</h3>
                        <ul class="items" id="armyUnits2">
                            {% for unit in unitsToDisplay %}
                                <li>
                                    <div class="item"
                                         onmouseover="showHint(this,'{{ ('units.'~unit~'.name') | trans([], "Common") }}','{{ ('units.'~unit~'.desc') | trans([], "Common") }}')"
                                         onmouseout="hideHint()">
                                        <img src="{{ asset('img/icons/u_' ~ unit ~ '.png') }}" alt=""><span class="number">??</span>
                                    </div>
                                </li>
                            {% endfor %}
                        </ul>
                        <div class="clear"></div>
                        <div id="reload"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>